> For the complete documentation index, see [llms.txt](https://docs-cn.filswan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.filswan.com/multichain.storage/mcp-user-guide/public-testnet.md).

# 公链测试网

## Public Testnet Guide <a href="#docusaurus" id="docusaurus"></a>

In order to make it easy for people to get started using Multi-Chain Storage, we've launched our MCS on the Mumbai testnet.

### Connecting to the chain <a href="#connecting-to-the-chain" id="connecting-to-the-chain"></a>

If you're using Metamask, add a custom RPC network to connect your wallet account to the Mumbai Testnet. [Click here to view more info](/multichain.storage/mcp-user-guide/setup-metamask.md)

### Observing transactions <a href="#observing-transactions" id="observing-transactions"></a>

If you'd like to see your transactions in action, please check out [block explorer](https://mumbai.polygonscan.com/)!

At there you'll be able to see all the transactions being executed in MCS and also see exactly how much Gas each transaction uses.

#### Important Addresses <a href="#important-addresses" id="important-addresses"></a>

* priceFeedOracleAddress = “”;&#x20;
* swanOracleAddress = “”;&#x20;
* swanPaymentAddress = “0x12EDC75CE16d778Dc450960d5f1a744477ee49a0”;&#x20;
* usdcAddress = “0xe11A86849d99F524cAC3E7A0Ec1241828e332C62";&#x20;
* wFilAddress = “”;&#x20;
* pairAddress = “";


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-cn.filswan.com/multichain.storage/mcp-user-guide/public-testnet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
